com.genesyslab.wfm8.API.service.config850

## Class CfgVirtualActivityHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgVirtualActivityHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgVirtualActivityHolder
      extends java.lang.Object
      implements java.io.Serializable

  CfgVirtualActivityHolder contains the response to the request to load Multi-Site Activity information (`CfgVirtualActivity` or `CfgVirtualActivityShort` object) .
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgActivityShort>` | `activityInfo` An array containing short information for all Activities in the response to the request to provide Multi-Site Activities information.
    `protected int` | `activityInfoNSizeIs` Number of elements in activityInfo array
    `protected java.util.List<CfgBUShort>` | `buInfo` An array containing short information for all Business Units in the response to the request to provide Multi-Site Activities information.
    `protected int` | `buInfoNSizeIs` Number of elements in buInfo array
    `protected java.util.List<CfgVirtualActivity>` | `objectArray` An array of `CfgVirtualActivity`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level
    `protected int` | `objectArrayNSizeIs` Number of elements in objectArray array
    `protected java.util.List<java.lang.Integer>` | `objectIDArray` An array of Multi-Site Activity IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level
    `protected int` | `objectIDArrayNSizeIs` Number of elements in objectIDArray array
    `protected java.util.List<CfgVirtualActivityShort>` | `objectShortArray` An array of `CfgVirtualActivityShort`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level
    `protected int` | `objectShortArrayNSizeIs` Number of elements in objectShortArray array
    `private static long` | `serialVersionUID`
    `protected java.util.List<CfgSiteShort>` | `siteInfo`
    `protected int` | `siteInfoNSizeIs` Number of elements in siteInfo;array
    `protected long` | `timestamp` A timestamp value -- marks the point in time when response information was returned

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgVirtualActivityHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgActivityShort>` | `getActivityInfo()` Gets the value of the activityInfo property.
    `int` | `getActivityInfoNSizeIs()` Gets the value of the activityInfoNSizeIs property.
    `java.util.List<CfgBUShort>` | `getBUInfo()` Gets the value of the buInfo property.
    `int` | `getBUInfoNSizeIs()` Gets the value of the buInfoNSizeIs property.
    `java.util.List<CfgVirtualActivity>` | `getObjectArray()` Gets the value of the objectArray property.
    `int` | `getObjectArrayNSizeIs()` Gets the value of the objectArrayNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getObjectIDArray()` Gets the value of the objectIDArray property.
    `int` | `getObjectIDArrayNSizeIs()` Gets the value of the objectIDArrayNSizeIs property.
    `java.util.List<CfgVirtualActivityShort>` | `getObjectShortArray()` Gets the value of the objectShortArray property.
    `int` | `getObjectShortArrayNSizeIs()` Gets the value of the objectShortArrayNSizeIs property.
    `java.util.List<CfgSiteShort>` | `getSiteInfo()` Gets the value of the siteInfo property.
    `int` | `getSiteInfoNSizeIs()` Gets the value of the siteInfoNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setActivityInfo(java.util.List<CfgActivityShort> activityInfo)` Sets the value of the activityInfo property.
    `void` | `setActivityInfoNSizeIs(int value)` Sets the value of the activityInfoNSizeIs property.
    `void` | `setBUInfo(java.util.List<CfgBUShort> buInfo)` Sets the value of the buInfo property.
    `void` | `setBUInfoNSizeIs(int value)` Sets the value of the buInfoNSizeIs property.
    `void` | `setObjectArray(java.util.List<CfgVirtualActivity> objectArray)` Sets the value of the objectArray property.
    `void` | `setObjectArrayNSizeIs(int value)` Sets the value of the objectArrayNSizeIs property.
    `void` | `setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)` Sets the value of the objectIDArray property.
    `void` | `setObjectIDArrayNSizeIs(int value)` Sets the value of the objectIDArrayNSizeIs property.
    `void` | `setObjectShortArray(java.util.List<CfgVirtualActivityShort> objectShortArray)` Sets the value of the objectShortArray property.
    `void` | `setObjectShortArrayNSizeIs(int value)` Sets the value of the objectShortArrayNSizeIs property.
    `void` | `setSiteInfo(java.util.List<CfgSiteShort> siteInfo)` Sets the value of the siteInfo property.
    `void` | `setSiteInfoNSizeIs(int value)` Sets the value of the siteInfoNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `CfgVirtualActivityHolder` | `withActivityInfo(CfgActivityShort... values)`
    `CfgVirtualActivityHolder` | `withActivityInfo(java.util.Collection<CfgActivityShort> values)`
    `CfgVirtualActivityHolder` | `withActivityInfoNSizeIs(int value)`
    `CfgVirtualActivityHolder` | `withBUInfo(CfgBUShort... values)`
    `CfgVirtualActivityHolder` | `withBUInfo(java.util.Collection<CfgBUShort> values)`
    `CfgVirtualActivityHolder` | `withBUInfoNSizeIs(int value)`
    `CfgVirtualActivityHolder` | `withObjectArray(CfgVirtualActivity... values)`
    `CfgVirtualActivityHolder` | `withObjectArray(java.util.Collection<CfgVirtualActivity> values)`
    `CfgVirtualActivityHolder` | `withObjectArrayNSizeIs(int value)`
    `CfgVirtualActivityHolder` | `withObjectIDArray(java.util.Collection<java.lang.Integer> values)`
    `CfgVirtualActivityHolder` | `withObjectIDArray(java.lang.Integer... values)`
    `CfgVirtualActivityHolder` | `withObjectIDArrayNSizeIs(int value)`
    `CfgVirtualActivityHolder` | `withObjectShortArray(CfgVirtualActivityShort... values)`
    `CfgVirtualActivityHolder` | `withObjectShortArray(java.util.Collection<CfgVirtualActivityShort> values)`
    `CfgVirtualActivityHolder` | `withObjectShortArrayNSizeIs(int value)`
    `CfgVirtualActivityHolder` | `withSiteInfo(CfgSiteShort... values)`
    `CfgVirtualActivityHolder` | `withSiteInfo(java.util.Collection<CfgSiteShort> values)`
    `CfgVirtualActivityHolder` | `withSiteInfoNSizeIs(int value)`
    `CfgVirtualActivityHolder` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### objectIDArrayNSizeIs

          protected int objectIDArrayNSizeIs

      Number of elements in objectIDArray array

    - #### objectIDArray

          protected java.util.List<java.lang.Integer> objectIDArray

      An array of Multi-Site Activity IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level

    - #### objectArrayNSizeIs

          protected int objectArrayNSizeIs

      Number of elements in objectArray array

    - #### objectArray

          protected java.util.List<CfgVirtualActivity> objectArray

      An array of `CfgVirtualActivity`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level

    - #### objectShortArrayNSizeIs

          protected int objectShortArrayNSizeIs

      Number of elements in objectShortArray array

    - #### objectShortArray

          protected java.util.List<CfgVirtualActivityShort> objectShortArray

      An array of `CfgVirtualActivityShort`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level

    - #### activityInfoNSizeIs

          protected int activityInfoNSizeIs

      Number of elements in activityInfo array

    - #### activityInfo

          protected java.util.List<CfgActivityShort> activityInfo

      An array containing short information for all Activities in the response to the request to provide Multi-Site Activities information. This array is returned only when the request specifies provideActivityInfo = true.

    - #### siteInfoNSizeIs

          protected int siteInfoNSizeIs

      Number of elements in siteInfo;array

    - #### siteInfo

          protected java.util.List<CfgSiteShort> siteInfo

    - #### buInfoNSizeIs

          protected int buInfoNSizeIs

      Number of elements in buInfo array

    - #### buInfo

          protected java.util.List<CfgBUShort> buInfo

      An array containing short information for all Business Units in the response to the request to provide Multi-Site Activities information. This array is returned only if request specifies provideBUInfo = true

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when response information was returned

  - ### Constructor Detail

    - #### CfgVirtualActivityHolder

          public CfgVirtualActivityHolder()

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the value of the objectIDArrayNSizeIs property.

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int value)

      Sets the value of the objectIDArrayNSizeIs property.

    - #### getObjectIDArray

          public java.util.List<java.lang.Integer> getObjectIDArray()

      Gets the value of the objectIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectIDArray property.

      For example, to add a new item, do as follows:

              getObjectIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the value of the objectArrayNSizeIs property.

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int value)

      Sets the value of the objectArrayNSizeIs property.

    - #### getObjectArray

          public java.util.List<CfgVirtualActivity> getObjectArray()

      Gets the value of the objectArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectArray property.

      For example, to add a new item, do as follows:

              getObjectArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgVirtualActivity`

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the value of the objectShortArrayNSizeIs property.

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int value)

      Sets the value of the objectShortArrayNSizeIs property.

    - #### getObjectShortArray

          public java.util.List<CfgVirtualActivityShort> getObjectShortArray()

      Gets the value of the objectShortArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectShortArray property.

      For example, to add a new item, do as follows:

              getObjectShortArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgVirtualActivityShort`

    - #### getActivityInfoNSizeIs

          public int getActivityInfoNSizeIs()

      Gets the value of the activityInfoNSizeIs property.

    - #### setActivityInfoNSizeIs

          public void setActivityInfoNSizeIs(int value)

      Sets the value of the activityInfoNSizeIs property.

    - #### getActivityInfo

          public java.util.List<CfgActivityShort> getActivityInfo()

      Gets the value of the activityInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the activityInfo property.

      For example, to add a new item, do as follows:

              getActivityInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgActivityShort`

    - #### getSiteInfoNSizeIs

          public int getSiteInfoNSizeIs()

      Gets the value of the siteInfoNSizeIs property.

    - #### setSiteInfoNSizeIs

          public void setSiteInfoNSizeIs(int value)

      Sets the value of the siteInfoNSizeIs property.

    - #### getSiteInfo

          public java.util.List<CfgSiteShort> getSiteInfo()

      Gets the value of the siteInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the siteInfo property.

      For example, to add a new item, do as follows:

              getSiteInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgSiteShort`

    - #### getBUInfoNSizeIs

          public int getBUInfoNSizeIs()

      Gets the value of the buInfoNSizeIs property.

    - #### setBUInfoNSizeIs

          public void setBUInfoNSizeIs(int value)

      Sets the value of the buInfoNSizeIs property.

    - #### getBUInfo

          public java.util.List<CfgBUShort> getBUInfo()

      Gets the value of the buInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the buInfo property.

      For example, to add a new item, do as follows:

              getBUInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgBUShort`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withObjectIDArrayNSizeIs

          public CfgVirtualActivityHolder withObjectIDArrayNSizeIs(int value)

    - #### withObjectIDArray

          public CfgVirtualActivityHolder withObjectIDArray(java.lang.Integer... values)

    - #### withObjectIDArray

          public CfgVirtualActivityHolder withObjectIDArray(java.util.Collection<java.lang.Integer> values)

    - #### withObjectArrayNSizeIs

          public CfgVirtualActivityHolder withObjectArrayNSizeIs(int value)

    - #### withObjectArray

          public CfgVirtualActivityHolder withObjectArray(CfgVirtualActivity... values)

    - #### withObjectArray

          public CfgVirtualActivityHolder withObjectArray(java.util.Collection<CfgVirtualActivity> values)

    - #### withObjectShortArrayNSizeIs

          public CfgVirtualActivityHolder withObjectShortArrayNSizeIs(int value)

    - #### withObjectShortArray

          public CfgVirtualActivityHolder withObjectShortArray(CfgVirtualActivityShort... values)

    - #### withObjectShortArray

          public CfgVirtualActivityHolder withObjectShortArray(java.util.Collection<CfgVirtualActivityShort> values)

    - #### withActivityInfoNSizeIs

          public CfgVirtualActivityHolder withActivityInfoNSizeIs(int value)

    - #### withActivityInfo

          public CfgVirtualActivityHolder withActivityInfo(CfgActivityShort... values)

    - #### withActivityInfo

          public CfgVirtualActivityHolder withActivityInfo(java.util.Collection<CfgActivityShort> values)

    - #### withSiteInfoNSizeIs

          public CfgVirtualActivityHolder withSiteInfoNSizeIs(int value)

    - #### withSiteInfo

          public CfgVirtualActivityHolder withSiteInfo(CfgSiteShort... values)

    - #### withSiteInfo

          public CfgVirtualActivityHolder withSiteInfo(java.util.Collection<CfgSiteShort> values)

    - #### withBUInfoNSizeIs

          public CfgVirtualActivityHolder withBUInfoNSizeIs(int value)

    - #### withBUInfo

          public CfgVirtualActivityHolder withBUInfo(CfgBUShort... values)

    - #### withBUInfo

          public CfgVirtualActivityHolder withBUInfo(java.util.Collection<CfgBUShort> values)

    - #### withTimestamp

          public CfgVirtualActivityHolder withTimestamp(long value)

    - #### setObjectIDArray

          public void setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)

      Sets the value of the objectIDArray property.
      Parameters:
        `objectIDArray` - allowed object is `Integer`

    - #### setObjectArray

          public void setObjectArray(java.util.List<CfgVirtualActivity> objectArray)

      Sets the value of the objectArray property.
      Parameters:
        `objectArray` - allowed object is `CfgVirtualActivity`

    - #### setObjectShortArray

          public void setObjectShortArray(java.util.List<CfgVirtualActivityShort> objectShortArray)

      Sets the value of the objectShortArray property.
      Parameters:
        `objectShortArray` - allowed object is `CfgVirtualActivityShort`

    - #### setActivityInfo

          public void setActivityInfo(java.util.List<CfgActivityShort> activityInfo)

      Sets the value of the activityInfo property.
      Parameters:
        `activityInfo` - allowed object is `CfgActivityShort`

    - #### setSiteInfo

          public void setSiteInfo(java.util.List<CfgSiteShort> siteInfo)

      Sets the value of the siteInfo property.
      Parameters:
        `siteInfo` - allowed object is `CfgSiteShort`

    - #### setBUInfo

          public void setBUInfo(java.util.List<CfgBUShort> buInfo)

      Sets the value of the buInfo property.
      Parameters:
        `buInfo` - allowed object is `CfgBUShort`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.